<?php
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked(0,会计科目—恩格会计管理系统);                                                    //*
//****************************************************************************************

echo '<script>document.title="处理结果通知";</script>';

include("cnn.php");

//获取数据修改前名称字段值；
$strsql='select name from account where id="'.$_POST["id"].'"';
$oldsql=$mysqli->query($strsql);
$olddata=$oldsql->fetch_array(MYSQLI_BOTH);

//保存数据开始；
$strsql='update account set name="'.$_POST["name"].'",Fname="'.$_POST["name"].'",t="'.$_POST["t"].'",dc="'.$_POST["dc"].'",';
$strsql=$strsql.'slwb="'.$_POST[slwb].'",xjll="'.$_POST["xjll"].'",kh="'.$_POST["kh"].'",gr="'.$_POST["gr"].'",ch="'.$_POST["ch"].'",';
$strsql=$strsql.'gys="'.$_POST["gys"].'",bm="'.$_POST["bm"].'",xm="'.$_POST["xm"].'",etr="'.$_SESSION[username].'" where id="'.$_POST["id"].'"';

$update=$mysqli->query($strsql);

if($update){ //如果存在数据；
	echo '修改成功；<a href="#" onclick="javascript:history.back()">返回</a>';
	echo '<hr>';
	if($olddata["name"]!=$_POST["name"]){
		//语句开始：该代码自动更新会计科目全称；
		$sqlabc=$mysqli->query('select id,name,Fname from account order by id asc');
		$infoabc=$sqlabc->fetch_array(MYSQLI_BOTH);
		if($infoabc){
			echo '自动更新会计科目成功；';
			do{
				if(strlen($infoabc[id])!=4){
					//echo substr($infoabc[id],0,strlen($infoabc[id])-2).'<br>';
					$sqlF=$mysqli->query('select Fname from account where id="'.substr($infoabc[id],0,strlen($infoabc[id])-2).'"');
					$infoF=$sqlF->fetch_array(MYSQLI_BOTH);
					$Fname=$infoF[Fname].'-'.$infoabc[name];
					//echo $Fname.'<br>';
					$mysqli->query('update account set Fname="'.$Fname.'" where id="'.$infoabc[id].'"');	
				}
			}while($infoabc=$sqlabc->fetch_array(MYSQLI_BOTH));
		}
		$sqlabc->free();//语句结束；
		
		//该代码自动更新凭证表和记账表中会计科目信息；
	    //更新凭证表中的相关数据；
		$strsql='update v1 set kmF=replace(kmF,"'.$olddata[name].'","'.$_POST[name].'") where km like "%'.$_POST[id].'%"';
		//echo '<br>'.$sql;
		$mysqli->query($strsql);
		$afr=$mysqli->affected_rows;
		if($afr>0){
			echo '<br>凭证表更新成功：共有'.$afr.'条记录受到影响；';
		}else{
			echo '<br>凭证表未更新；';
		}
		
		//更新记账表中的相关数据；
		$strsql='update v2 set kmF=replace(kmF,"'.$olddata[name].'","'.$_POST[name].'") where km like "%'.$_POST[id].'%"';
		//echo '<br>'.$sql;
		$mysqli->query($strsql);
		$afr=$mysqli->affected_rows;
		if($afr>0){
			echo '<br>记账表更新成功：共有'.$afr.'条记录受到影响；';
		}else{
			echo '<br>记账表未更新；';
		}
	}else{
		echo '名称字段未发生变动；';	
	}
	
}else{
	echo '修改失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}
		
$mysqli->close();
?>